<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.reflectionclass.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'reflectionclass.marklazyobjectasinitialized.php',
    1 => 'ReflectionClass::markLazyObjectAsInitialized',
  ),
  'up' => 
  array (
    0 => 'class.reflectionclass.php',
    1 => 'ReflectionClass',
  ),
  'prev' => 
  array (
    0 => 'reflectionclass.isuserdefined.php',
    1 => 'ReflectionClass::isUserDefined',
  ),
  'next' => 
  array (
    0 => 'reflectionclass.newinstance.php',
    1 => 'ReflectionClass::newInstance',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/reflection/reflectionclass/marklazyobjectasinitialized.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="reflectionclass.marklazyobjectasinitialized" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ReflectionClass::markLazyObjectAsInitialized</h1>
  <p class="verinfo">(PHP 8 &gt;= 8.4.0)</p><p class="refpurpose"><span class="refname">ReflectionClass::markLazyObjectAsInitialized</span> &mdash; <span class="dc-title">Marque un objet paresseux comme initialisé sans appeler l&#039;initialiseur ou la fabrique</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-reflectionclass.marklazyobjectasinitialized-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>ReflectionClass::markLazyObjectAsInitialized</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.object.php" class="type object">object</a></span> <code class="parameter">$object</code></span>): <span class="type"><a href="language.types.object.php" class="type object">object</a></span></div>

  <p class="simpara">
   Marque un objet paresseux comme initialisé sans appeler l&#039;initialiseur ou
   la fabrique. Cela n&#039;a aucun effet si <code class="parameter">object</code> n&#039;est pas
   paresseux ou est déjà initialisé.
  </p>
  <p class="simpara">
   L&#039;effect de l&#039;appel de cette méthode est le même que décrit pour les objets fantômes
   (peu importe la stratégie de paresse de <code class="parameter">object</code>) dans
   <a href="language.oop5.lazy-objects.php#language.oop5.lazy-objects.initialization-sequence" class="link">séquence
   d&#039;initialisation</a>, sauf que l&#039;initialiseur n&#039;est pas appelé.
   Après cela, l&#039;objet est indiscernable d&#039;un objet qui n&#039;était jamais paresseux et
   a été créé avec
   <span class="methodname"><a href="reflectionclass.newinstancewithoutconstructor.php" class="methodname">ReflectionClass::newInstanceWithoutConstructor()</a></span>,
   excepté pour la valeur des propriétés qui ont déjà été initialisées avec
   <span class="methodname"><a href="reflectionproperty.setrawvaluewithoutlazyinitialization.php" class="methodname">ReflectionProperty::setRawValueWithoutLazyInitialization()</a></span>
   ou <span class="methodname"><a href="reflectionproperty.skiplazyinitialization.php" class="methodname">ReflectionProperty::skipLazyInitialization()</a></span>.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-reflectionclass.marklazyobjectasinitialized-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <dl>
   
    <dt><code class="parameter">object</code></dt>
    <dd>
     <span class="simpara">
      L&#039;objet à marquer comme initialisé.
     </span>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-reflectionclass.marklazyobjectasinitialized-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="simpara">
   Renvoie <code class="parameter">object</code>.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-reflectionclass.marklazyobjectasinitialized-examples">
  <h3 class="title">Exemples</h3>
  <div class="example" id="example-5387">
   <p><strong>Exemple #1 Marquer un objet paresseux non initialisé comme initialisé</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">Example<br /></span><span style="color: #007700">{<br />    public </span><span style="color: #0000BB">string $prop1</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop2</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop3 </span><span style="color: #007700">= </span><span style="color: #DD0000">'default value'</span><span style="color: #007700">;<br />}<br /><br /></span><span style="color: #0000BB">$reflector </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionClass</span><span style="color: #007700">(</span><span style="color: #0000BB">Example</span><span style="color: #007700">::class);<br /><br /></span><span style="color: #0000BB">$object </span><span style="color: #007700">= </span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">newLazyGhost</span><span style="color: #007700">(function (</span><span style="color: #0000BB">$object</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"Initializer called\n"</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop1 </span><span style="color: #007700">= </span><span style="color: #DD0000">'initialized'</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getProperty</span><span style="color: #007700">(</span><span style="color: #DD0000">'prop1'</span><span style="color: #007700">)<br />          -&gt;</span><span style="color: #0000BB">setRawValueWithoutLazyInitialization</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">, </span><span style="color: #DD0000">'prop1 value'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">markLazyObjectAsInitialized</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>L&#039;exemple ci-dessus va afficher :</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">lazy ghost object(Example)#3 (1) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;prop1 value&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  uninitialized(string)
}
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;prop1 value&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(13) &quot;default value&quot;
}</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-5388">
   <p><strong>Exemple #2 Marquer un objet paresseux initialisé comme initialisé</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">Example<br /></span><span style="color: #007700">{<br />    public </span><span style="color: #0000BB">string $prop1</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop2</span><span style="color: #007700">;<br />    public </span><span style="color: #0000BB">string $prop3 </span><span style="color: #007700">= </span><span style="color: #DD0000">'default value'</span><span style="color: #007700">;<br />}<br /><br /></span><span style="color: #0000BB">$reflector </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionClass</span><span style="color: #007700">(</span><span style="color: #0000BB">Example</span><span style="color: #007700">::class);<br /><br /></span><span style="color: #0000BB">$object </span><span style="color: #007700">= </span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">newLazyGhost</span><span style="color: #007700">(function (</span><span style="color: #0000BB">$object</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"Initializer called\n"</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop1 </span><span style="color: #007700">= </span><span style="color: #DD0000">'initialized'</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getProperty</span><span style="color: #007700">(</span><span style="color: #DD0000">'prop1'</span><span style="color: #007700">)<br />          -&gt;</span><span style="color: #0000BB">setRawValueWithoutLazyInitialization</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">, </span><span style="color: #DD0000">'prop1 value'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">prop3</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$reflector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">markLazyObjectAsInitialized</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$object</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>L&#039;exemple ci-dessus va afficher :</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Initializer called
string(13) &quot;default value&quot;
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;initialized&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(13) &quot;default value&quot;
}
object(Example)#3 (2) {
  [&quot;prop1&quot;]=&gt;
  string(11) &quot;initialized&quot;
  [&quot;prop2&quot;]=&gt;
  uninitialized(string)
  [&quot;prop3&quot;]=&gt;
  string(13) &quot;default value&quot;
}</pre>
</div>
   </div>
  </div>
 </div>


 <div class="refsect1 seealso" id="refsect1-reflectionclass.marklazyobjectasinitialized-seealso">
  <h3 class="title">Voir aussi</h3>
  <ul class="simplelist">
   <li><a href="language.oop5.lazy-objects.php" class="link">Objet paresseux</a></li>
   <li><span class="methodname"><a href="reflectionclass.newlazyghost.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::newLazyGhost()</a> - Cr&eacute;er une nouvelle instance fant&ocirc;me paresseuse</span></li>
   <li><span class="methodname"><a href="reflectionclass.initializelazyobject.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::initializeLazyObject()</a> - Force l'initialisation d'un objet paresseux</span></li>
   <li><span class="methodname"><a href="reflectionclass.isuninitializedlazyobject.php" class="methodname" rel="rdfs-seeAlso">ReflectionClass::isUninitializedLazyObject()</a> - V&eacute;rifie si un objet est paresseux et non initialis&eacute;</span></li>
  </ul>
 </div>


</div><?php manual_footer($setup); ?>